16.05.2016: Es gibt ein paar Aktualisierungen auf unserem Blog! Die Underground Suchmaschine mit welcher ihr Seiten wie die Boerse oder Mygully durchsuchen könnt, wurde komplett überarbeitet. Die XXX Stream Liste wurde aktualisiert, tote Links mit neuen ersetzt, das gleiche gilt für die MP3 Suchmaschinen und die Liste mit den Android Apps wurde ebenfalls erweitert.

Tutorial: Firefox V2 Addons, V3 tauglich machen!

Leider unterstützen einige nützliche Erweiterung auf die man nicht verzichten möchte, den Firefox 3 noch nicht. Mit einem Trick lässt sich das xpi-File aber so umschreiben, dass Firefox glaubt, die Erweiterung sei kompatibel mit der Version 3.

Die Angaben, welche sich hier auf Version 2 und 3 beziehen, dienen lediglich als Beispiel! Das Tutorial funktioniert natürlich auch mit höheren Versionen (z.B 3 und 4).

1. Als erstes muss man das Addon (.xpi File) downloaden und umbenennen, indem man .zip heranhängt, und die Datei "install.rdf" extrahiert. Alternativ kann die Datei auch direkt mit WinRar geöffnet werden.

2. Nun muss man die install.rdf mit einem Editor (Notepad) bearbeiten. Dazu suchen wir folgende Zeilen raus:

<em:maxVersion>HIER STEHT DIE VERSION</em:maxVersion> (z.b 2.0.0)

Das ändern wir dann in 3.5.* (nur als Beispiel)

Genaue Erklärung: Also wenn steht 2.0.0, und man verwendet zum Beispiel die FF Version 3.5.0, wird das dementsprechend angepasst! Aus 2.0.0 wird also 3.5.* (das "*" steht für unendlich - 3.*.* wäre also auch möglich)!

Oft ist der Versionshinweis (<em:maxVersion>VERSION</em:maxVersion>) auch mehrmals vorhanden! Es sollten also am besten immer alle angepasst werden. Manchmal steht auch nur em:maxVersion="VERSION" />

3. Jetzt wird die install.rdf in das noch offene Archiv geschoben, und das .zip File wird wieder in name.xpi umbenannt.

UPDATE 12.05.2010: Mit dem Addon Nightly Tester Tools lassen sich nun auch ohne diesen Eingriff inkompatible Addons installieren. Ist Firefox erstmal mit diesem Plug-in ausgestattet, kann nach einer kurzen Bestätigung jedes Addon installiert werden.

Hinweis: Inkompatible Addons können die Performace von Firefox beeinträchtigen, Abstürze sowie Speicher Probleme verursachen und die Sicherheit gefährden!

Tags: firefox version 2 3 4, inkompatible erweiteruneng addons, anpassen kompatibel, editieren bearbeiten installieren

Keine Kommentare:

Kommentar veröffentlichen

ACHTUNG: Anonyme Kommentare werden nicht freigeschaltet! Bitte wählt aus der Dropdown-Liste "Name/URL" anstatt "Anonym". Mit "Name/URL" bleibt ihr ebenfalls anonym, jedoch kann so zwischen User A und User B unterschieden werden.

Gültige HTML-Tags: <a href="LINK">LINK TITEL</a> | <b>BOLD</b> | <i>KURSIV</i>